## org.python.core
Class IdImpl.WeakIdentityMap

    java.lang.Object
      org.python.core.IdImpl.WeakIdentityMap

Enclosing class:
  IdImpl

    public static class IdImpl.WeakIdentityMap

extends Object

Constructor Summary
`IdImpl.WeakIdentityMap()`

Method Summary
`int` `_internal_map_size()`
`Object` `get(Object key)`
`void` `put(Object key, Object val)`
`void` `remove(Object key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdImpl.WeakIdentityMap

    public IdImpl.WeakIdentityMap()

Method Detail

### _internal_map_size

    public int _internal_map_size()

### put

    public void put(Object key,
                    Object val)

### get

    public Object get(Object key)

### remove

    public void remove(Object key)

Jython homepage